# ListMySubscriptions

List all services to which the current user is subscribed

`GET /api/v2/utilities/subscriptions`

**API:** AvaTax API
**Tag:** Utilities
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Utilities/ListMySubscriptions/

## Description

Returns the list of all subscriptions enabled for the currently logged in user.
            
This API will return an error if it is called with invalid authentication credentials.
            
This API is intended to help you determine whether you have the necessary subscription to use certain API calls
within AvaTax.  You can examine the subscriptions returned from this API call to look for a particular product
or subscription to provide useful information to the current user as to whether they are entitled to use
specific features of AvaTax.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `SubscriptionModelFetchResult` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |

### 200 Response: `SubscriptionModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | SubscriptionModel[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/utilities/subscriptions" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```